import { csv } from 'd3';

export const getData = () =>
	// Load Data Files
	Promise
		.all([
      csv('https://vizhub.com/curran/datasets/data-canvas-sense-your-city-one-week.csv')
  	])
		.then(([csvData]) => {
      
  	csvData.forEach(d => {
      d.timestamp = new Date(d.timestamp);
  		d.temperature = +d.temperature;
  	});

    return csvData;
     
  }); 

